centos6.7 mutlipath install script
#!/bin/bash
if [ `id -g` != 0 ] ;then
echo -e "\033[31m Please use root user\033[0m"
exit 1
fi
rpm -qa |grep multipath >/var/log/mapper.log 2>&1
if [ $? = 0 ];then
echo -e "\033[31mERROR : Please check multipath is already installed \033[0m "
exit 7
fi
rpm -ivh --test device-mapper-multipath-0.4.9-87.el6.x86_64.rpm device-mapper-multipath-libs-0.4.9-87.el6.x86_64.rpm >>/var/log/mapper.log 2>&1
if [ $? = 0 ];then
rpm -ivh device-mapper-multipath-0.4.9-87.el6.x86_64.rpm device-mapper-multipath-libs-0.4.9-87.el6.x86_64.rpm >>/var/log/mapper.log 2>&1
else
echo -e "\033[31m ERROR : Test install is not successful , Please view the mapper log /var/log/mapper.log \033[0m"
exit 8
fi
if [ $? = 0 ];then
chkconfig multipathd on &&
service multipathd start >>/var/log/mapper.log 2>&1 &&
cp /usr/share/doc/device-mapper-multipath-0.4.9/multipath.conf /etc/multipath.conf >>/var/log/mapper.log 2>&1
multipath -F >>/var/log/mapper.log 2>&1 && multipath -v2 >>/var/log/mapper.log 2>&1 && multipath -ll >>/var/log/mapper.log 2>&1
else
echo -e "\n \033[31m ERROR : Install Error,Please Check!! or view the mapper.log /var/log/mapper.log \033[0m \n"
exit 9
fi
centos6.7 mutlipath install script的更多相关文章
- Cloudinsight Agent install script
#!/bin/bash # Cloudinsight Agent install script. set -e logfile="ci-agent-install.log" gis ...
- webpacke install vue application 报错 Failed at the phantomjs-prebuilt@2.1.14 install script
刚刚在网上下了个开源的项目: https://github.com/ing670/webappkiller 执行npm install 报错:npm ERR! Failed at the phanto ...
- centos6 pxe minimal install
# 01-78-2b-cb-69-10-f3 default menu.c32 prompt 0 timeout 100 LABEL centos-6 MENU DEFAULT MENU LABEL ...
- php7 install script
./configure --prefix=/home/admin/local/php7 --with-gd=/home/admin/local/libgd-2.1.1/ --with-jpeg-dir ...
- centos6 yum 安装 install c++4.8 gcc4.8
cd /etc/yum.repos.d wget http://people.centos.org/tru/devtools-1.1/devtools-1.1.repo yum --enablerep ...
- ! Failed at the chromedriver@2.35.0 install script.
npm install 过程中报错 解决方法 运行 npm install chromedriver --chromedriver_cdnurl=http://cdn.npm.taobao.org/d ...
- Centos7 PXE Server Install Script
#安装前配置好centos和epel yum源 #网卡ip和localip一致 localip="192.168.88.200" eth_name='eth0' dnsmasq_i ...
- npm 安装vue 报错Failed at the chromedriver@2.46.0 install script 'node install.js'
原因一般是下载源被封了,我们连接淘宝的下载源下载: npm install chromedriver --chromedriver_cdnurl=http://cdn.npm.taobao.org/d ...
- npm 安装vue 报错Failed at the chromedriver@2.34.0 install script 'node install.js'
提示版本不够,后来百度到,在你的vue项目包下执行: npm install chromedriver --chromedriver_cdnurl=http://cdn.npm.taobao.org/ ...
随机推荐
- 夺命雷公狗-----React---14--移入移出事件
<!DOCTYPE> <html> <head> <meta charset="utf-8"> <title></ ...
- javascript的escape()方法
escape() 方法:采用ISO Latin字符集对指定的字符串进行编码.所有的空格符.标点符号.特殊字符以及其他非ASCII字符都将被转化成%xx格式的字符编码(xx等于该字符在字符集表里面的编码 ...
- hsql数据库使用详解(入门)及快速使用
一.简介: hsql数据库是一款纯Java编写的免费数据库,许可是BSD-style的协议,如果你是使用Java编程的话,不凡考虑一下使用它,相对其 他数据库来说,其体积小,才563kb.仅一个hsq ...
- vue.js 渲染完成回调
vue.js渲染完成后,想触发一些事情,写在哪里呢? 答案是mounted 例子: new Vue({ el:'#demo', data:{ text:'Hello' }, mounted:funct ...
- app加固
为什么要加固APP? 答:因为黑客通过反编译APK得到源码后,会在应用中插入代码,获取利益,比如添加广告,盗取用户账号.密码,后台定制活动等. 反编译的方法? 反编译是指apk文件通过反编译工具( ...
- 使用JDBC实现Oracle用户认证
两天时间写的小品,以前的J2EE环境基本使用框架.现在使用JDBC配合Oracle存储过程模拟了一下用户注册和用户认证. 一.添加必须的jar包 需要JDBC连接Oracle的包和shiro-core ...
- 【转】破解Source Insight 3.5.0072过程 附:安装软件+注册机
转载地址:http://blog.csdn.net/qs_hud/article/details/8884867 注册机及软件下载地址:http://download.csdn.net/detail/ ...
- Promise对象
1.Promise思想:每一个异步任务立刻返回一个Promise对象,由于是立刻返回,所以可以采用同步操作的流程.这个Promises对象有一个then方法,允许指定回调函数,在异步任务完成后调用. ...
- 数据库中的左连接(left join)和右连接(right join)区别
Left Join / Right Join /inner join相关 关于左连接和右连接总结性的一句话: 左连接where只影向右表,右连接where只影响左表. Left Join select ...
- Git使用指南(3)—— 使用Git命令
暂存区替换掉工作区 git init git init newrepo 克隆仓库 git clone git clone <repo> git clone <repo> < ...